---
file-perm:
    description: File permission check
    include:
        - .
    extensions:
        - .build
        - .c
        - .cc
        - .cpp
        - .flac
        - .h
        - .html
        - .idl
        - .js
        - .json
        - .jsx
        - .m
        - .m4s
        - .md
        - .mjs
        - .mm
        - .mn
        - .mozbuild
        - .mp4
        - .png
        - .rs
        - .rst
        - .svg
        - .toml
        - .ttf
        - .wasm
        - .webidl
        - .xhtml
        - .xml
        - .yaml
        - .yml
    support-files:
        - 'tools/lint/file-perm/**'
    type: external
    payload: file-perm:lint

maybe-shebang-file-perm:
    description: "File permission check for files that might have `#!` header."
    include:
        - .
    allow-shebang: true
    extensions:
        - .js
        - .py
        - .sh
    support-files:
        - 'tools/lint/file-perm/**'
    type: external
    payload: file-perm:lint
